Summary:	A statically linked shell, including some built-in basic commands.
Name:		sash
Group:		System Environment/Shells
License:	GPL
Version:	3.7
Release:	1
Source0:	http://www.canb.auug.org.au/~dbell/programs/sash-%{version}.tar.gz
Patch0:		sash-3.7-Makefile-gd-1.diff
Patch1:		sash-3.4-losetup.patch
Patch2:		sash-3.7-ext2fs-header-include-fix-gd-1.diff
Patch3:		sash-3.7-pwd-static-fixes-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
Sash is a simple, standalone, statically linked shell which includes
simplified versions of built-in commands like ls, dd and gzip.  Sash
is statically linked so that it can work without shared libraries, so
it is particularly useful for recovering from certain types of system
failures.  Sash can also be used to safely upgrade to new versions of
shared libraries.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man8/sash.8*
  %attr(0511,root,root)		%{_root_sbindir}/sash

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_root_sbindir}
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

  install -s sash $RPM_BUILD_ROOT/%{_root_sbindir}
  install sash.1  $RPM_BUILD_ROOT%{_mandir}/man8/sash.8

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 3.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
